MODULE obs_logchl
   !!=====================================================================
   !!                       ***  MODULE  obs_logchl  ***
   !! Observation diagnostics: Storage space for logchl observations
   !!                          arrays and additional flags etc.
   !!=====================================================================
   !!----------------------------------------------------------------------
   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
   !! $Id$
   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
   !!----------------------------------------------------------------------

   
   !! * Modules used 
   USE obs_surf_def ! Definition of surface data types and tools

   IMPLICIT NONE
   
   SAVE

   !! * Routine accessibility
   PRIVATE

   PUBLIC nlogchlvars, nlogchlpftvars, nlogchlextr, nlogchlpftextr, nlogchlsets, nlogchlpftsets, logchldata, logchldatqc, logchlpftdata, logchlpftdatqc, nn_logchlpfts

   !! * Shared Module variables
   INTEGER :: nn_logchlpfts

   INTEGER :: nlogchlvars                               ! Number of logchldata variables
   INTEGER :: nlogchlextr                               ! Number of logchldata extra 
                   
   INTEGER :: nlogchlpftvars                               ! Number of logchldata variables
   INTEGER :: nlogchlpftextr                               ! Number of logchldata extra
                                     ! variables
   INTEGER :: nlogchlsets    
   INTEGER :: nlogchlpftsets   
                           ! Number of logchldata sets
   TYPE(obs_surf), POINTER, DIMENSION(:) :: logchldata  ! Initial logchl data
   TYPE(obs_surf), POINTER, DIMENSION(:) :: logchldatqc ! Sea ice data after quality control

   TYPE(obs_surf), POINTER, DIMENSION(:) :: logchlpftdata  ! Initial logchl data
   TYPE(obs_surf), POINTER, DIMENSION(:) :: logchlpftdatqc 

END MODULE obs_logchl

